// Copyright (c) 2015, JINGROW and Contributors
// MIT License. See license.txt

jingrow.ui.form.on("Property Setter", {
	validate: function (frm) {
		if (frm.pg.property_type == "Check" && !["0", "1"].includes(frm.pg.value)) {
			jingrow.throw(__("Value for a check field can be either 0 or 1"));
		}
	},
});
